
_RS232:

;ultrason.mpas,20 :: 		begin
;ultrason.mpas,21 :: 		if dat[0] = 'D' then
	MOVF       _dat+0, 0
	XORLW      68
	BTFSS      STATUS+0, 2
	GOTO       L__RS2322
;ultrason.mpas,23 :: 		dat[0] := '=' ;
	MOVLW      61
	MOVWF      _dat+0
;ultrason.mpas,24 :: 		dat[1]:=distance_H;
	MOVF       _distance_H+0, 0
	MOVWF      _dat+1
;ultrason.mpas,25 :: 		dat[2]:=distance_L;
	MOVF       _distance_L+0, 0
	MOVWF      _dat+2
;ultrason.mpas,26 :: 		UART1_Write_Text(dat);
	MOVLW      _dat+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;ultrason.mpas,27 :: 		end;
L__RS2322:
;ultrason.mpas,28 :: 		end;
L_end_RS232:
	RETURN
; end of _RS232

_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;ultrason.mpas,33 :: 		begin
;ultrason.mpas,34 :: 		if PIR1.CCP1IF = 1 then
	BTFSS      PIR1+0, 2
	GOTO       L__interrupt6
;ultrason.mpas,36 :: 		obstacle:=1;
	MOVLW      1
	MOVWF      _obstacle+0
;ultrason.mpas,37 :: 		end;
L__interrupt6:
;ultrason.mpas,38 :: 		if PIR1.RCIF =1 then
	BTFSS      PIR1+0, 5
	GOTO       L__interrupt9
;ultrason.mpas,40 :: 		dat[0]:=UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _dat+0
;ultrason.mpas,41 :: 		RS232;
	CALL       _RS232+0
;ultrason.mpas,42 :: 		end;
L__interrupt9:
;ultrason.mpas,43 :: 		PIR1:=0;
	CLRF       PIR1+0
;ultrason.mpas,44 :: 		end;
L_end_interrupt:
L__interrupt84:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_Initialisation:

;ultrason.mpas,49 :: 		begin
;ultrason.mpas,50 :: 		obstacle:=0;
	CLRF       _obstacle+0
;ultrason.mpas,51 :: 		trisb.7:=0;
	BCF        TRISB+0, 7
;ultrason.mpas,52 :: 		portb.7:=0;
	BCF        PORTB+0, 7
;ultrason.mpas,53 :: 		trisa:=0;
	CLRF       TRISA+0
;ultrason.mpas,54 :: 		sound_init(porta,7);
	MOVLW      PORTA+0
	MOVWF      FARG_Sound_Init_snd_port+0
	MOVLW      7
	MOVWF      FARG_Sound_Init_snd_pin+0
	CALL       _Sound_Init+0
;ultrason.mpas,55 :: 		UART1_Init(9600);                   // initialize UART1 module
	MOVLW      25
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;ultrason.mpas,56 :: 		delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L__Initialisation12:
	DECFSZ     R13+0, 1
	GOTO       L__Initialisation12
	DECFSZ     R12+0, 1
	GOTO       L__Initialisation12
	NOP
	NOP
;ultrason.mpas,57 :: 		porta:=0;
	CLRF       PORTA+0
;ultrason.mpas,58 :: 		CMCON:=$07;
	MOVLW      7
	MOVWF      CMCON+0
;ultrason.mpas,59 :: 		CCP1CON:=$05;
	MOVLW      5
	MOVWF      CCP1CON+0
;ultrason.mpas,60 :: 		CCPR1L:=0;
	CLRF       CCPR1L+0
;ultrason.mpas,61 :: 		CCPR1H:=0;
	CLRF       CCPR1H+0
;ultrason.mpas,62 :: 		TMR1L:=0;
	CLRF       TMR1L+0
;ultrason.mpas,63 :: 		TMR1H:=0;
	CLRF       TMR1H+0
;ultrason.mpas,64 :: 		T1CON:=%00010100;  // division par 2   horloge interne/2
	MOVLW      20
	MOVWF      T1CON+0
;ultrason.mpas,66 :: 		INTCON:=$C0;
	MOVLW      192
	MOVWF      INTCON+0
;ultrason.mpas,67 :: 		PIE1:=$24;
	MOVLW      36
	MOVWF      PIE1+0
;ultrason.mpas,68 :: 		end;
L_end_Initialisation:
	RETURN
; end of _Initialisation

_envoi_ultrason:

;ultrason.mpas,73 :: 		begin
;ultrason.mpas,74 :: 		T1CON.TMR1ON:=0;// desactivation timer
	BCF        T1CON+0, 0
;ultrason.mpas,75 :: 		TMR1L:=0;
	CLRF       TMR1L+0
;ultrason.mpas,76 :: 		TMR1H:=0;
	CLRF       TMR1H+0
;ultrason.mpas,77 :: 		CCP1CON:=$05;
	MOVLW      5
	MOVWF      CCP1CON+0
;ultrason.mpas,78 :: 		T1CON.TMR1ON:=1;// demarrage timer
	BSF        T1CON+0, 0
;ultrason.mpas,79 :: 		portb.7:=1;delay_us(12);
	BSF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason14:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason14
	NOP
	NOP
;ultrason.mpas,80 :: 		portb.7:=0;delay_us(12);
	BCF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason15:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason15
	NOP
	NOP
;ultrason.mpas,81 :: 		portb.7:=1;delay_us(12);
	BSF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason16:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason16
	NOP
	NOP
;ultrason.mpas,82 :: 		portb.7:=0;delay_us(12);
	BCF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason17:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason17
	NOP
	NOP
;ultrason.mpas,83 :: 		portb.7:=1;delay_us(12);
	BSF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason18:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason18
	NOP
	NOP
;ultrason.mpas,84 :: 		portb.7:=0;delay_us(12);
	BCF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason19:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason19
	NOP
	NOP
;ultrason.mpas,85 :: 		portb.7:=1;delay_us(12);
	BSF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason20:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason20
	NOP
	NOP
;ultrason.mpas,86 :: 		portb.7:=0;delay_us(12);
	BCF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason21:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason21
	NOP
	NOP
;ultrason.mpas,87 :: 		portb.7:=1;delay_us(12);
	BSF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason22:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason22
	NOP
	NOP
;ultrason.mpas,88 :: 		portb.7:=0;delay_us(12);
	BCF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason23:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason23
	NOP
	NOP
;ultrason.mpas,89 :: 		portb.7:=1;delay_us(12);
	BSF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason24:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason24
	NOP
	NOP
;ultrason.mpas,90 :: 		portb.7:=0;delay_us(12);
	BCF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason25:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason25
	NOP
	NOP
;ultrason.mpas,91 :: 		portb.7:=1;delay_us(12);
	BSF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason26:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason26
	NOP
	NOP
;ultrason.mpas,92 :: 		portb.7:=0;delay_us(12);
	BCF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason27:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason27
	NOP
	NOP
;ultrason.mpas,93 :: 		portb.7:=1;delay_us(12);
	BSF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason28:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason28
	NOP
	NOP
;ultrason.mpas,94 :: 		portb.7:=0;delay_us(12);
	BCF        PORTB+0, 7
	MOVLW      3
	MOVWF      R13+0
L__envoi_ultrason29:
	DECFSZ     R13+0, 1
	GOTO       L__envoi_ultrason29
	NOP
	NOP
;ultrason.mpas,95 :: 		end;
L_end_envoi_ultrason:
	RETURN
; end of _envoi_ultrason

_lecture_echo:

;ultrason.mpas,101 :: 		begin
;ultrason.mpas,102 :: 		if obstacle=1 then
	MOVF       _obstacle+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo32
;ultrason.mpas,104 :: 		distance_H := CCPR1H;
	MOVF       CCPR1H+0, 0
	MOVWF      _distance_H+0
;ultrason.mpas,105 :: 		distance_L := CCPR1L;
	MOVF       CCPR1L+0, 0
	MOVWF      _distance_L+0
;ultrason.mpas,106 :: 		porta:=$FF;
	MOVLW      255
	MOVWF      PORTA+0
;ultrason.mpas,107 :: 		distance:= 50*distance_H;
	MOVLW      50
	MOVWF      R0+0
	CLRF       R0+1
	MOVF       _distance_H+0, 0
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVF       R0+0, 0
	MOVWF      _distance+0
	MOVF       R0+1, 0
	MOVWF      _distance+1
	CLRF       _distance+2
	CLRF       _distance+3
;ultrason.mpas,109 :: 		if distance < 100 then temp := 50;
	MOVLW      128
	XORWF      _distance+3, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo88
	MOVLW      0
	SUBWF      _distance+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo88
	MOVLW      0
	SUBWF      _distance+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo88
	MOVLW      100
	SUBWF      _distance+0, 0
L__lecture_echo88:
	BTFSC      STATUS+0, 0
	GOTO       L__lecture_echo35
	MOVLW      50
	MOVWF      _temp+0
	CLRF       _temp+1
	CLRF       _temp+2
	CLRF       _temp+3
L__lecture_echo35:
;ultrason.mpas,110 :: 		if distance > 100 then temp := 150;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _distance+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo89
	MOVF       _distance+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo89
	MOVF       _distance+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo89
	MOVF       _distance+0, 0
	SUBLW      100
L__lecture_echo89:
	BTFSC      STATUS+0, 0
	GOTO       L__lecture_echo38
	MOVLW      150
	MOVWF      _temp+0
	CLRF       _temp+1
	CLRF       _temp+2
	CLRF       _temp+3
L__lecture_echo38:
;ultrason.mpas,111 :: 		if distance > 150 then temp := 400;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _distance+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo90
	MOVF       _distance+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo90
	MOVF       _distance+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo90
	MOVF       _distance+0, 0
	SUBLW      150
L__lecture_echo90:
	BTFSC      STATUS+0, 0
	GOTO       L__lecture_echo41
	MOVLW      144
	MOVWF      _temp+0
	MOVLW      1
	MOVWF      _temp+1
	CLRF       _temp+2
	CLRF       _temp+3
L__lecture_echo41:
;ultrason.mpas,112 :: 		if distance > 200 then temp := 600;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _distance+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo91
	MOVF       _distance+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo91
	MOVF       _distance+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo91
	MOVF       _distance+0, 0
	SUBLW      200
L__lecture_echo91:
	BTFSC      STATUS+0, 0
	GOTO       L__lecture_echo44
	MOVLW      88
	MOVWF      _temp+0
	MOVLW      2
	MOVWF      _temp+1
	CLRF       _temp+2
	CLRF       _temp+3
L__lecture_echo44:
;ultrason.mpas,113 :: 		if distance > 300 then temp := 900;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _distance+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo92
	MOVF       _distance+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo92
	MOVF       _distance+1, 0
	SUBLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo92
	MOVF       _distance+0, 0
	SUBLW      44
L__lecture_echo92:
	BTFSC      STATUS+0, 0
	GOTO       L__lecture_echo47
	MOVLW      132
	MOVWF      _temp+0
	MOVLW      3
	MOVWF      _temp+1
	CLRF       _temp+2
	CLRF       _temp+3
L__lecture_echo47:
;ultrason.mpas,114 :: 		if distance > 400 then temp := 1200;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _distance+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo93
	MOVF       _distance+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo93
	MOVF       _distance+1, 0
	SUBLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo93
	MOVF       _distance+0, 0
	SUBLW      144
L__lecture_echo93:
	BTFSC      STATUS+0, 0
	GOTO       L__lecture_echo50
	MOVLW      176
	MOVWF      _temp+0
	MOVLW      4
	MOVWF      _temp+1
	CLRF       _temp+2
	CLRF       _temp+3
L__lecture_echo50:
;ultrason.mpas,115 :: 		if distance > 2000 then distance  := 2000;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _distance+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo94
	MOVF       _distance+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo94
	MOVF       _distance+1, 0
	SUBLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__lecture_echo94
	MOVF       _distance+0, 0
	SUBLW      208
L__lecture_echo94:
	BTFSC      STATUS+0, 0
	GOTO       L__lecture_echo53
	MOVLW      208
	MOVWF      _distance+0
	MOVLW      7
	MOVWF      _distance+1
	CLRF       _distance+2
	CLRF       _distance+3
L__lecture_echo53:
;ultrason.mpas,116 :: 		sound_play(1000,15);
	MOVLW      232
	MOVWF      FARG_Sound_Play_freq_in_hz+0
	MOVLW      3
	MOVWF      FARG_Sound_Play_freq_in_hz+1
	MOVLW      15
	MOVWF      FARG_Sound_Play_duration_ms+0
	CLRF       FARG_Sound_Play_duration_ms+1
	CALL       _Sound_Play+0
;ultrason.mpas,117 :: 		vdelay_ms(temp);
	MOVF       _temp+0, 0
	MOVWF      FARG_VDelay_ms_Time_ms+0
	MOVF       _temp+1, 0
	MOVWF      FARG_VDelay_ms_Time_ms+1
	CALL       _VDelay_ms+0
;ultrason.mpas,118 :: 		porta:=$00;
	CLRF       PORTA+0
;ultrason.mpas,119 :: 		end;
L__lecture_echo32:
;ultrason.mpas,120 :: 		end;
L_end_lecture_echo:
	RETURN
; end of _lecture_echo

_Enclenchement:

;ultrason.mpas,125 :: 		begin
;ultrason.mpas,126 :: 		obstacle:=0;
	CLRF       _obstacle+0
;ultrason.mpas,127 :: 		distance_H := 0;
	CLRF       _distance_H+0
;ultrason.mpas,128 :: 		distance_L := 0;
	CLRF       _distance_L+0
;ultrason.mpas,129 :: 		PIE1:=$24;
	MOVLW      36
	MOVWF      PIE1+0
;ultrason.mpas,130 :: 		end;
L_end_Enclenchement:
	RETURN
; end of _Enclenchement

_Declenchement:

;ultrason.mpas,135 :: 		begin
;ultrason.mpas,136 :: 		PIE1:=$20;
	MOVLW      32
	MOVWF      PIE1+0
;ultrason.mpas,137 :: 		T1CON.TMR1ON:=0;// desactivation timer
	BCF        T1CON+0, 0
;ultrason.mpas,138 :: 		end;
L_end_Declenchement:
	RETURN
; end of _Declenchement

_Process:

;ultrason.mpas,144 :: 		begin
;ultrason.mpas,145 :: 		for i:=0 to 3 do
	CLRF       Process_i+0
L__Process59:
;ultrason.mpas,147 :: 		porta.i:=1;
	MOVF       Process_i+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Process98:
	BTFSC      STATUS+0, 2
	GOTO       L__Process99
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Process98
L__Process99:
	MOVF       R0+0, 0
	IORWF      PORTA+0, 1
;ultrason.mpas,148 :: 		Enclenchement;
	CALL       _Enclenchement+0
;ultrason.mpas,149 :: 		envoi_ultrason;
	CALL       _envoi_ultrason+0
;ultrason.mpas,150 :: 		delay_ms(20);
	MOVLW      26
	MOVWF      R12+0
	MOVLW      248
	MOVWF      R13+0
L__Process65:
	DECFSZ     R13+0, 1
	GOTO       L__Process65
	DECFSZ     R12+0, 1
	GOTO       L__Process65
	NOP
;ultrason.mpas,151 :: 		Declenchement;
	CALL       _Declenchement+0
;ultrason.mpas,152 :: 		lecture_echo;
	CALL       _lecture_echo+0
;ultrason.mpas,153 :: 		delay_ms(20);
	MOVLW      26
	MOVWF      R12+0
	MOVLW      248
	MOVWF      R13+0
L__Process66:
	DECFSZ     R13+0, 1
	GOTO       L__Process66
	DECFSZ     R12+0, 1
	GOTO       L__Process66
	NOP
;ultrason.mpas,154 :: 		end;
	MOVF       Process_i+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L__Process62
	INCF       Process_i+0, 1
	GOTO       L__Process59
L__Process62:
;ultrason.mpas,155 :: 		for i:=0 to 3 do
	CLRF       Process_i+0
L__Process68:
;ultrason.mpas,157 :: 		porta.i:=0;
	MOVF       Process_i+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Process100:
	BTFSC      STATUS+0, 2
	GOTO       L__Process101
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Process100
L__Process101:
	COMF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      PORTA+0, 1
;ultrason.mpas,158 :: 		Enclenchement;
	CALL       _Enclenchement+0
;ultrason.mpas,159 :: 		envoi_ultrason;
	CALL       _envoi_ultrason+0
;ultrason.mpas,160 :: 		delay_ms(20);
	MOVLW      26
	MOVWF      R12+0
	MOVLW      248
	MOVWF      R13+0
L__Process74:
	DECFSZ     R13+0, 1
	GOTO       L__Process74
	DECFSZ     R12+0, 1
	GOTO       L__Process74
	NOP
;ultrason.mpas,161 :: 		Declenchement;
	CALL       _Declenchement+0
;ultrason.mpas,162 :: 		lecture_echo;
	CALL       _lecture_echo+0
;ultrason.mpas,163 :: 		delay_ms(20);
	MOVLW      26
	MOVWF      R12+0
	MOVLW      248
	MOVWF      R13+0
L__Process75:
	DECFSZ     R13+0, 1
	GOTO       L__Process75
	DECFSZ     R12+0, 1
	GOTO       L__Process75
	NOP
;ultrason.mpas,164 :: 		end;
	MOVF       Process_i+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L__Process71
	INCF       Process_i+0, 1
	GOTO       L__Process68
L__Process71:
;ultrason.mpas,165 :: 		end;
L_end_Process:
	RETURN
; end of _Process

_main:

;ultrason.mpas,170 :: 		begin
;ultrason.mpas,171 :: 		Initialisation;
	CALL       _Initialisation+0
;ultrason.mpas,172 :: 		while true do
L__main78:
;ultrason.mpas,174 :: 		Process;
	CALL       _Process+0
;ultrason.mpas,175 :: 		end;
	GOTO       L__main78
;ultrason.mpas,176 :: 		end.
L_end_main:
	GOTO       $+0
; end of _main
